unit USplash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TFSplash = class(TForm)
    Splitter1: TSplitter;
    Splitter2: TSplitter;
    Splitter3: TSplitter;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Splitter1Paint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FSplash: TFSplash;

implementation

{$R *.dfm}


procedure TFSplash.FormCreate(Sender: TObject);
var
  EstiloAtual : LongInt;
begin
  EstiloAtual := GetWindowLong(Handle, GWL_STYLE);
  SetWindowLong( Handle, GWL_STYLE, EstiloAtual and not WS_CAPTION );
  SetWindowPos(Handle,0,0,0,0,0, SWP_DRAWFRAME or
    SWP_NOACTIVATE or SWP_NOMOVE or SWP_NOSIZE or SWP_NOZORDER);

end;
procedure TFSplash.Splitter1Paint(Sender: TObject);
var
 Bands,I,I2:Integer;
 Reta:TRect;
begin
  Bands:=200;
  I:=0;
  I2:=200;

  while I<Bands do
  begin
    Inc(I);
    Dec(I2);
    SetRect(Reta,0,0,I,I2);
    Canvas.Brush.Color:=RGB(10,20,Bands-I2+10);
    Canvas.FillRect(Reta);
  end;

end;

end.

